#!/bin/sh

# Проверка окончания тестирования (наличие серийного номера)
let DEVICE_ID=0
for cmdLineOption in `cat /proc/cmdline`
do
	if [ "${cmdLineOption%=*}" = "snum" ]
	then
		DEVICE_ID=${cmdLineOption##*=}
	fi
done

if [ ${DEVICE_ID} -eq 0 ] ; then
	echo "Serial number is not assigned"
	exit 1
fi

