#!/bin/sh

start() {
	PWRON=`txtconfig ${TRAL_CONF_DIR}/streams.ini system power_on_msg`
	if [ -z "$PWRON" ] ; then
		PWRON="(power on)"
	fi
	msgsend -a -n 255 -s "${PWRON}" 1>/dev/null 2>/dev/null &
}

stop(){
	PWROFF=`txtconfig ${TRAL_CONF_DIR}/streams.ini system power_off_msg`
	if [ -z "$PWROFF" ] ; then
		PWROFF="(power off)"
	fi
	msgsend -a -n 255 -s "${PWROFF}" 1>/dev/null 2>/dev/null &
}

restart() {
	stop
	start
}	

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart|reload)
  	restart
	;;
  *)
	echo "Usage: $0 {start|stop|restart}"
esac

