#!/bin/sh 

ARCHIVE=/tmp/snapshot.tar.gz

rm -rf ${ARCHIVE} 1>/dev/null 2>/dev/null

ps > /tmp/ps
df -h > /tmp/df 
uptime > /tmp/uptime
netstat -nl > /tmp/netstat
cat /proc/cmdline > /tmp/cmdline
cat /proc/meminfo > /tmp/meminfo
ifconfig > /tmp/ifconfig

cd /tmp 1>/dev/null 2>/dev/null
tar czf ${ARCHIVE} ps df uptime netstat cmdline meminfo ifconfig /etc/streams.ini /etc/states.conf /etc/TZ /etc/version /etc/network/interfaces /etc/user.cfg /etc/hostname `ls -1t /tmp/disc/log/messages* | head -n 10` 1>/dev/null 2>/dev/null
cd - 1>/dev/null 2>/dev/null

cat ${ARCHIVE}

rm -rf /tmp/df /tmp/videodata ${ARCHIVE} 1>/dev/null 2>/dev/null 
