#!/bin/sh

echo -n "Starting SSMTP settings using "
USER=`txtconfig ${TRAL_CONF_DIR}/streams.ini smtp_mail smtp_user | tr 'A-Z' 'a-z'`
PROTO=`echo $USER | cut -d: -f1`
case $PROTO in
	"ssl")
		cp /etc/ssmtp/ssmtp_ssl.conf /etc/ssmtp/ssmtp.conf
		echo -n "SSL"
	;;
	"tls")
		cp /etc/ssmtp/ssmtp_tls.conf /etc/ssmtp/ssmtp.conf
		echo -n "TLS"
        ;;
	*)
		cp /etc/ssmtp/ssmtp_base.conf /etc/ssmtp/ssmtp.conf
		echo -n "no encryption"
	;;
esac
echo " OK"