#!/bin/sh
#
# Скрипт запуска записи лога.
# Сей скрипт вызывается из disk_manager-а, поэтому имя скрипта всегда log_start.sh и лежит он в /usr/bin/.
# Параметры запуска:
#	$1 - полный путь к лог файлу
#	$2 - имя диска (название секции в streams.ini: disk0/disk1/usbdisk)
# Пример запуска:
#	> /usr/bin/log_start.sh /mnt/disc1/tral-1048/log/messages.33.log disk1
LogFile=$1
DiskName=$2

logread >> $LogFile
logread -f $DiskName >> $LogFile &


