#!/bin/sh

mysleep() {
	/usr/bin/wdctl 1 120
	sleep 30
}

off() {
	echo "SAFE MODE OFF"
	logger -t $0 "SAFE MODE OFF"

	rm -rf /tmp/safemode_flag 1>/dev/null 2>/dev/null
	
	/etc/init.d/videograb.sh start
}

on() {
	echo "SAFE MODE ON"
	logger -t $0 "SAFE MODE ON"
		
	touch /tmp/safemode_flag
	
	/etc/init.d/videograb.sh stop
	
	while [ -f /tmp/safemode_flag ] ; do
	
		if [ `ps | grep all.in.one | grep -v grep | wc -l | tr -d ' '` -le 1 ] ; then

			if [ `ps | grep video.archive | grep -v grep | wc -l | tr -d ' '` -le 1 ] ; then

				if [ `ps | grep video.events | grep -v grep | wc -l | tr -d ' '` -le 1 ] ; then
		
					off
					break
				fi
			fi
		fi
		
		mysleep
	done
}

case "$1" in
  on)
  	on
	;;
  off)
  	off
	;;
  *)
	echo "Usage: $0 {on|off}"
esac

