#!/bin/sh

PIDFILE=/var/run/shutdowner.pid
MOUNTFILE=/var/run/shutdowner.mount

if [ -f $PIDFILE ] ; then
	exit 1
fi

echo $$ > $PIDFILE

kill -usr1 `pidof videograb | cut -f 1 -d ' '`

/etc/init.d/powermsg.sh stop  1>2 2>/dev/null

/etc/init.d/savermgr.sh stop  1>2 2>/dev/null
settings.sh save  1>2 2>/dev/null
sync; sync; sync

mount | grep /dev/sd | awk '{print $1 " " $3}' > $MOUNTFILE

mount | grep /dev/sd | awk '{print $3}' | while read line; do
	umount $line
	umount -f $line
	umount -l $line
done

while [ 1 ] ; do
	LOWPWR=`/usr/bin/stmgrclient check s_low_power`
	if [ "$LOWPWR" = "0" ] ; then
	
		while read line; do 
			mount $line
		done < $MOUNTFILE

		kill -usr1 `pidof videograb | cut -f 1 -d ' '`
	
		/etc/init.d/savermgr.sh start  1>2 2>/dev/null
		/etc/init.d/powermsg.sh start  1>2 2>/dev/null

		rm $PIDFILE
		exit 2
	fi
	sleep 1
done 


rm $PIDFILE

# coldfire sleep
#stty -F /dev/ttyS2 9600 cs8 -cstopb -parity -icanon clocal min 1 time 1
#echo -n "*s#" > /dev/ttyS2
#sleep 5
#reboot
